<?php
$bodyclasses = 'development page';
$title = 'Software development';
$tagline = 'not black magic';
$description = 'I design software and write code. Yes, I make apps.';
$keywords = 'music, learning, tabletop, research, the open university';
$twitter_image = 'images/phd-app-2x.jpg';
?>

<?=i('_header')?>

	<article class="body">
		<section class="full">
			<p>I have been writing code for as long as I can remember &ndash; yes, that must have been around 1990, with my Amiga 500. It has been a long journey, and I learned a thing or two along the way.</p>
		</section>
		<section class="left">
			<p>One of these is that the “<em>what languages do you know?</em>” question is largely irrelevant. Once you know a bunch of them, learning a new one is easy. The hard part is knowing how to attack a problem and solve it.</p>
		</section>
		<section class="right">
			<p><strong>Languages</strong> I know:</p>
			<ul class="">
				<li>experienced: C, C++(11, 14…), Objective-C, XML, HTML, PHP, Ruby, Pure Data, Processing</li>
				<li>familiar: Swift, JavaScript, x86 and ARM assembly for system programming</li>
				<li>learning: R, Julia</li>
			</ul>
		</section>
		<section class="left">
			<p>Knowing languages is only a small portion of the job. You also need to know how to not <a href="//en.wikipedia.org/wiki/Reinventing_the_wheel">reinvent the wheel</a> all the time, how to design maintainable and scalable software architectures, and so on.</p>
		</section>
		<section class="right">
			<p><strong>Frameworks</strong> and other magic tricks:</p>
			<ul class="">
				<li>Qt, Cinder, openFrameworks</li>
				<li>Ruby on Rails, Sinatra</li>
				<li>CakePHP, Zend Framework</li>
				<li>CocoaPods</li>
			</ul>
		</section>
		<section class="full">
			<p>I may be forgetting some technologies, but the bottom line is: <strong>it's no use knowing stuff if you don't know what it's used for</strong>.</p>
			<h2>Things I've done</h2>
			<p>Enough talk, let's see some of the projects I worked on over the years.</p>
		</section>
		<section class="project full" id="project_phdappios">
			<section class="left">
				<h3>PhD music app for iPad</h3>
			</section>
			<section class="right">
				<figure>
					<a href="#" data-featherlight="<?=$baseurl?>images/phd-app-2x.jpg">
						<picture>
							<source srcset="<?=$baseurl?>images/phd-app.jpg 1x, <?=$baseurl?>images/phd-app-2x.jpg 2x" />
							<img srcset="<?=$baseurl?>images/phd-app.jpg" alt="tOfuS" />
						</picture>
					</a>
				</figure>
			</section>
			<section class="left">
				<p>In 2014, I needed to bring the app below with me to a conference for demos. I figured pretty soon that I was not going to bring the giant screen with me, so I did an iOS port which worked wonderfully. No, you can't have it. Yet. I'm designing a new version. You can have that once it's ready.<p>
				<p><strong>Technologies</strong>: C++, Cinder, iOS.</p>
				<p><a href="//www.github.com/Morpheu5/SecondStudy-iPad"><strong>Source code</strong></a></p>
			</section>
		</section>
		<section class="project full" id="project_phdapp">
			<section class="right">
				<h3>PhD music app</h3>
			</section>
			<section class="left">
				<figure>
					<a href="#" data-featherlight="<?=$baseurl?>images/table_2-2x.jpg">
						<picture>
							<source srcset="<?=$baseurl?>images/table_2.jpg 1x, <?=$baseurl?>images/table_2-2x.jpg 2x" />
							<img srcset="<?=$baseurl?>images/table_2.jpg" alt="tOfuS" />
						</picture>
					</a>
				</figure>
			</section>
			<section class="right">
				<p>As part of my doctoral studies, I developed a collaborative music composition tabletop application to teach people how to compose and discuss melodies.</p>
				<p><strong>Technologies</strong>: C++, Cinder, Pure Data.</p>
				<p><a href="//www.github.com/Morpheu5/FourthStudy"><strong>Source code</strong></a> | <a href="//www.youtube.com/watch?v=AONzmnAHZ6w"><strong>Demo</strong></a></p>
			</section>
		</section>
		<section class="project full" id="project_aranaboo">
			<section class="left">
				<h3>Aranaboo</h3>
			</section>
			<section class="right">
				<figure>
					<a href="#" data-featherlight="<?=$baseurl?>images/aranaboo-2x.jpg">
						<picture>
							<source srcset="<?=$baseurl?>images/aranaboo.jpg 1x, <?=$baseurl?>images/aranaboo-2x.jpg 2x" />
							<img srcset="<?=$baseurl?>images/aranaboo.jpg" alt="Aranaboo" />
						</picture>
					</a>
				</figure>
			</section>
			<section class="left">
				<p>A game of peek-a-boo using face detection.<p>
				<p><strong>Technologies</strong>: iOS.</p>
				<p><a href="//www.beyoucompany.com/?page_id=8"><strong>Web site</strong></a></p>
			</section>
		</section>
		<section class="project full" id="project_astronauta">
			<section class="right">
				<h3>Da grande voglio fare l'astronauta</h3>
			</section>
			<section class="left">
				<figure>
					<a href="#" data-featherlight="<?=$baseurl?>images/astronauta-2x.jpg">
						<picture>
							<source srcset="<?=$baseurl?>images/astronauta.jpg 1x, <?=$baseurl?>images/astronauta-2x.jpg 2x" />
							<img srcset="<?=$baseurl?>images/astronauta.jpg" alt="Da grande voglio fare l'astronauta" />
						</picture>
					</a>
				</figure>
			</section>
			<section class="right">
				<p>An interactive book for children. The tale of a kid who wants to become an astronaut. I developed the iOS part of the project to completion, but sadly the app was never released.</p>
				<p><strong>Technologies</strong>: iOS.</p>
				<p><a href="//www.behance.net/gallery/1201947/DA-GRANDE-VOGLIO-FARE-LASTRONAUTA-(-IPAD-APP)"><strong>Behance</strong></a></p>
			</section>
		</section>
		<section class="project full" id="project_bsc">
			<section class="left">
				<h3>CRUSADE Bleeding Score Calculator</h3>
			</section>
			<section class="right">
				<figure>
					<a href="#" data-featherlight="<?=$baseurl?>images/bsc-2x.jpg">
						<picture>
							<source srcset="<?=$baseurl?>images/bsc.jpg 1x, <?=$baseurl?>images/bsc-2x.jpg 2x" />
							<img srcset="<?=$baseurl?>images/bsc.png" alt="CRUSADE Bleeding Score Calculator" />
						</picture>
					</a>
				</figure>
			</section>
			<section class="left">
				<p>This app helps clinicians estimate a patient's baseline risk of in-hospital major bleeding during both ST and non-ST segment elevation myocardial infarction. Not that I know what that means. I was given a spreadsheet with some formulas, I was asked to make an iOS app, and so I did. Then the client did not want it anymore, so I published it myself.</p>
				<p><strong>Technologies</strong>: iOS, CocoaPods.</p>
				<p><a href="//itunes.apple.com/us/app/crusade-bleeding-score-calculator/id454062627?mt=8"><strong>App Store</strong></a></p>
			</section>
		</section>
		<section class="project full" id="project_doodle">
			<section class="right">
				<h3>Doodle</h3>
			</section>
			<section class="left">
				<figure>
					<a href="#" data-featherlight="<?=$baseurl?>images/doodle-2x.png">
						<picture>
							<source srcset="<?=$baseurl?>images/doodle.png 1x, <?=$baseurl?>images/doodle-2x.png 2x" />
							<img srcset="<?=$baseurl?>images/doodle.png" alt="Doodle" />
						</picture>
					</a>
				</figure>
			</section>
			<section class="right">
				<p>I worked on the actual Reactable between 2008 and 2009, proposing a new approach to Western tonal music &ndash; the original support was quite minimal, I was tasked with making it a bit more usable.</p>
				<p><strong>Technologies</strong>: C++, <a href="//www.qt.io">Qt 4</a>, <a href="//www.jackaudio.org">Jack</a>.</p>
				<p><a href="//www.github.com/Morpheu5/Doodle"><strong>Source code</strong></a> | <a href="//vimeo.com/4325822"><strong>Demo</strong></a></p>
			</section>
		</section>
		<section class="project full" id="project_tofus">
			<section class="left">
				<h3>tOfuS: the Framework OS</h3>
			</section>
			<section class="right">
				<figure>
					<a href="#" data-featherlight="<?=$baseurl?>images/tofus-2x.jpg">
						<picture>
							<source srcset="<?=$baseurl?>images/tofus.jpg 1x, <?=$baseurl?>images/tofus-2x.jpg 2x" />
							<img srcset="<?=$baseurl?>images/tofus.jpg" alt="tOfuS" />
						</picture>
					</a>
				</figure>
			</section>
			<section class="left">
				<p>Yes, there was a time when I worked on a toy operating system. It was good fun and I learned a lot about assembly code and bare-metal programming.</p>
				<p><strong>Technologies</strong>: x86 assembly, C.</p>
				<p><a href="//www.github.com/Morpheu5/tOfuS"><strong>Source code</strong></a></p>
			</section>
		</section>
		<section class="full">
			<p class="calltoaction">Have a cool project in mind? <a href="<?=$baseurl?>contact">Let's talk about it!</a></p>
		</section>
	</article>

<?=i('_footer')?>